Subject: Re: [PATCH] gitweb: Show project's README.html if available

From: Luben Tuikov <[email-masked]>
Date: Tue, 24 Oct 2006 12:41:04 -0700 (PDT)

--- Petr Baudis <[email-masked]> wrote:
> On Tue, Oct 24, 2006 at 09:09:03PM CEST, Luben Tuikov wrote:
> > --- Petr Baudis <[email-masked]> wrote:
> > > > Why not instead re-submit a patch implementing what was discussed
> > > > in this thread bearing the same name:
> > > > 
> > > > http://marc.theaimsgroup.com/?t=116044914900001&r=1&w=2
> > > 
> > > This implements
> > > 
> > > 	http://marc.theaimsgroup.com/?l=git&m=116047939517299&w=2
> > > 
> > > I see no other ideas I could take there except various naming proposals
> > > and perhaps using File::Copy but I'll wait until someone does a
> > > gitweb-wide change for the latter.
> > > 
> > > I don't really care _what_ name it bears, but I'd like to have it
> > > included. :-)
> > 
> > People have suggested that this functionality be folded into the
> > "Description" column, where the description printed is the
> > first line of the description file "description" and if clicked
> > on, it shows the whole "descrption" file.
> 
> Please look at the mail the mail I referred was a reply to:
> 
> 	http://marc.theaimsgroup.com/?l=git&m=116047773825208&w=2

I re-read that email.  And I also saw what you have at hed.git.

If anything I think we should want to _minimize_ shown material
before the "shortlog" in the "summary" page.

Why?

Well, in a production environment, people often view the "summary" page
to see what has been going on with a project and they are well aware
of what that project is for and/or what it does.  It is cumbersome to have
to scroll down each and every time past he annoying "readme", just to see
the first few commits.

Look, your hed.cgi has 7 lines for the description and URL, (as opposed to 4
of next:gitweb.perl) and those already have generous amount of inner-spacing,
making the whole thing extend half the page.  This would be annoying in
a production environment.

Now, if you use gitweb as a Web presentation tool of your projects then
this is another story.  Then you would want to put colors, graphics, lots
of text here and there, etc, etc.

If we start to include those little things to be supported "optionally",
then we incur bloat to gitweb.

I think what is best to do is to create another script which can show
the fancy-schmancy Web presentation content you want to mix with
with gitweb, and keep gitweb a tool for the enigineer as opposed to
a web presentation application.

That other fancy-schmancy script can keep track of developers,
statistics, bugs, bug counts, etc, etc, as well.

    Luben